org.gradle.api.publish.ivy

## Interface IvyDependency

-     @Incubating
      public interface IvyDependency

  A module dependency declared in an ivy dependency descriptor published as part of an `IvyPublication`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfMapping()` The configuration mapping string that will be output for this dependency.
    `String` | `getModule()` The module value for this dependency.
    `String` | `getOrganisation()` The organisation value for this dependency.
    `String` | `getRevision()` The revision value for this dependency.
    `boolean` | `isTransitive()` The transitive value for this dependency.

- - ### Method Detail

    - #### getOrganisation

          String getOrganisation()

      The organisation value for this dependency.

    - #### getModule

          String getModule()

      The module value for this dependency.

    - #### getRevision

          String getRevision()

      The revision value for this dependency.

    - #### getConfMapping

          String getConfMapping()

      The configuration mapping string that will be output for this dependency. A null value indicates that no "conf" attribute will be written for this dependency.
      Returns:
        the configuration mapping

    - #### isTransitive

          boolean isTransitive()

      The transitive value for this dependency.
      Since:
        3.1